Subject: Premier essai

From: André Hetzel <[email-masked]>
Date: Wed, 8 Nov 2006 17:16:12 +0100

J'ai téléchargé LilyPond mais ne suis pas capable de la faire fonctionner.
Lorsque je le lance le programme cela ouvre une fenêtre CMD et une fenêtre 
avec des mots en anglais, qui est celle de LilyPond d'après l'aide. Mais à 
partir de là je ne vois pas ce qu'il faut faire.

Au début du <cours express> il y a une capture d'écran sur laquelle on voit 
une fenêtre de plus, je suppose qu'elle ne s'ouvre que si on compile quelque 
chose. A moins que cette fenêtre soit celle de Lilypond et que l'autre soit 
un éditeur de texte. C'est difficile à dire car la fenêtre Lilypond de mon 
écran ne correspond à aucune des deux (elle ressemble plus à celle du 
bloc-note).

Je me demande par exemple s'il faut taper les exemples du cours express dans 
la fenêtre Lilypond ou bien par exemple dans le bloc-note. Sinon j'ai un 
éditeur de code source mais comme il est assez sophistiqué (WinEdt) je pense 
qu'au début je vais plutôt utiliser le bloc-note.

En fait je pense que je viens de comprendre. Il faut peut-être taper le 
texte dans le bloc-note puis le lancer avec Lylipond à partir de la fenêtre 
CMD, mais comme de toute façon cela ne marchera pas du premier coup je 
préfère être sûr.

A. H.

---

From: Jean Argenty <[email-masked]>
Date: Wed, 08 Nov 2006 21:14:32 +0100

André Hetzel a écrit :
> Lorsque je le lance le programme cela ouvre une fenêtre CMD et une 
> fenêtre avec des mots en anglais, qui est celle de LilyPond d'après 
> l'aide. Mais à partir de là je ne vois pas ce qu'il faut faire.
>
> Au début du <cours express> il y a une capture d'écran sur laquelle on 
> voit une fenêtre de plus, je suppose qu'elle ne s'ouvre que si on 
> compile quelque chose. A moins que cette fenêtre soit celle de 
> Lilypond et que l'autre soit un éditeur de texte. C'est difficile à 
> dire car la fenêtre Lilypond de mon écran ne correspond à aucune des 
> deux (elle ressemble plus à celle du bloc-note).
>
> Je me demande par exemple s'il faut taper les exemples du cours 
> express dans la fenêtre Lilypond ou bien par exemple dans le 
> bloc-note. Sinon j'ai un éditeur de code source mais comme il est 
> assez sophistiqué (WinEdt) je pense qu'au début je vais plutôt 
> utiliser le bloc-note.
>
> En fait je pense que je viens de comprendre. Il faut peut-être taper 
> le texte dans le bloc-note puis le lancer avec Lylipond à partir de la 
> fenêtre CMD, mais comme de toute façon cela ne marchera pas du premier 
> coup je préfère être sûr.
>
> A. H.
>
>
>
>
> _______________________________________________
> liste de diffusion lilypond-user-fr
> [email-masked]
> http://lists.gnu.org/mailman/listinfo/lilypond-user-fr
>
>
Bonsoir André,

Oui, vous avez fait fonctionner Lilypond!
En cliquant sur l'*icône du programme* vous avez ouvert une fenêtre de 
terminal ainsi qu'un éditeur de texte.
Renommez le fichier ainsi produit en l'enregistrant dans un répertoire 
qui vous convienne.
Vous obtenez dans ce répertoire un fichier.ly.
D'un clic à droite sous windows vous pouvez soit éditer ce fichier soit 
le compiler.
Editez-le et rentrez un exemple tiré d'internet. Enregistrez le et 
fermez-le.
Cliquez deux fois sur l'*icône du fichier.ly* que vous avez créé: il est 
alors compilé et il produit soit une fenêtre d'éditeur avec un message 
d'erreur ou, dans le répertoire que vous avez créé, un fichier.dvi et un 
fichier.pdf que vous pouvez visualiser avec le logiciel lié à ces 
extensions.

bon courage,

Jean

---

From: André Hetzel <[email-masked]>
Date: Thu, 9 Nov 2006 16:14:52 +0100

> Renommez le fichier ainsi produit en l'enregistrant dans un répertoire qui 
> vous convienne.
> D'un clic à droite sous windows vous pouvez soit éditer ce fichier soit le 
> compiler.
J'ai pu le compiler effectivement

> fichier.pdf que vous pouvez visualiser avec le logiciel lié à ces 
J'ai rentré le premeier exemple mais cette fois j'obtiens :
ERREUR : syntax error, unexpected STRING

Je n'ai pas pu rentrer l'exemple exactement car sur le premier fichier 
compilé il y avait une partie header (ce qui veux dire à mon avis entête) et 
une partie relative. J'ai pensé qu'il fallais modifier seulement le second 
et je l'ai fait sans enlever le mot relative. Y aurait-il une erreur visible 
?

A. H.

---

From: Jean Argenty <[email-masked]>
Date: Thu, 09 Nov 2006 18:49:22 +0100

André Hetzel a écrit :
>> En cliquant sur l'*icône du programme* vous avez ouvert une fenêtre 
>> de terminal ainsi qu'un éditeur de texte.
>> Renommez le fichier ainsi produit en l'enregistrant dans un 
>> répertoire qui vous convienne.
>> D'un clic à droite sous windows vous pouvez soit éditer ce fichier 
>> soit le compiler.
>> Cliquez deux fois sur l'*icône du fichier.ly* que vous avez créé: il 
>> est alors compilé et il produit soit une fenêtre d'éditeur avec un 
>> message d'erreur ou, dans le répertoire que vous avez créé, un 
>> fichier.dvi et un fichier.pdf que vous pouvez visualiser avec le 
>> logiciel lié à ces extensions.
> compilé il y avait une partie header (ce qui veux dire à mon avis 
> entête) et une partie relative. J'ai pensé qu'il fallais modifier 
> seulement le second et je l'ai fait sans enlever le mot relative. Y 
> aurait-il une erreur visible ?
>
> A. H.
>
>
>
>
Oui, ça semble vouloir vous résister en effet!

Ceci dit, le fichier de bienvenue contient ceci:

Now to take it for the first test run.

  1. Save this LilyPond file on your desktop.

  2. Pick it up from the desktop with your mouse pointer, drag and drop
     it onto the LilyPond icon.

  3. LilyPond automatically produces a PDF file from the musical scale
     below.

  4. To print or view the result, click on the newly produced file called

        Welcome_to_LilyPond.PDF

Cela n'est-il pas clair pour vous ?

jean